module.exports = {
	rootDir: ".",
	testRegex: "(<rootDir>/(test|src)/.*|(\\.|/)(test|spec))\\.(jsx?|tsx?)$",
	moduleFileExtensions: ["ts", "tsx", "js", "jsx", "json"],
	setupFilesAfterEnv: ["<rootDir>/jest.setup.js"],
	// transform: {
	// 	"\\.js$": ["babel-jest", { configFile: "<rootDir>/babelrc" }],
	// },
	moduleNameMapper: {
		"\\.(css|less|scss|sss|styl)$": "<rootDir>/node_modules/jest-css-modules",
		"@/components/(.*)": "<rootDir>/src/components/$1",
		"@/hooks/(.*)": "<rootDir>/src/hooks/$1",
		"@/lib/(.*)": "<rootDir>/src/lib/$1",
		"@/services/(.*)": "<rootDir>/src/services/$1",
		"@/pages/(.*)": "<rootDir>/src/pages/$1",
		"@/mocks/(.*)": "<rootDir>/__test__/mocks/$1",
		"@/test/utils": "<rootDir>/__test__/utils",
		"@/types": "<rootDir>/src/types",
	},
	verbose: true,
	collectCoverage: true,
	coverageDirectory: "coverage",
	coveragePathIgnorePatterns: [
		"<rootDir>/__tests__/test-utils.js",
		"<rootDir>/build/",
		"<rootDir>/dist/",
		"<rootDir>/node_modules/",
	],
	testEnvironment: "<rootDir>/jest-environment.js",
};
